## com.sun.jersey.core.spi.component
Interface ComponentProvider

All Known Subinterfaces:
  IoCComponentProvider, IoCFullyManagedComponentProvider, IoCInstantiatedComponentProvider, IoCManagedComponentProvider, IoCProxiedComponentProvider, ResourceComponentProvider

    public interface ComponentProvider

Provide instances of a component.

Method Summary
`java.lang.Object` | `getInstance()` Get the instance.

Method Detail

### getInstance

    java.lang.Object getInstance()

  Get the instance.

  Returns:
    the instance.

Copyright © 2017 Oracle Corporation. All Rights Reserved.